//   Copyright 2007, 2008 Nicolas Dubuit
//
//     This file is part of Immix.
//
//     Immix is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
//
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
//
//     You should have received a copy of the GNU General Public License
//     along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "QNImageDialog.h"

#include <QPushButton>
#include <QVBoxLayout>
#include <QScrollBar>

QNImageDialog::QNImageDialog (QWidget * parent, Qt::WFlags f)
	:	QDialog (parent, f)
{
	label = new QLabel () ; 
	scroller = new QScrollArea (this) ;
	scroller->setBackgroundRole(QPalette::Dark);
	scroller->setWidget (label) ;
	QPushButton* btnAccept = new QPushButton (tr("Accept")) ;
	QPushButton* btnReject= new QPushButton (tr("Reject")) ;

	QVBoxLayout *layout = new QVBoxLayout (this) ;
	layout->addWidget (scroller) ;
	QHBoxLayout * btnLayout = new QHBoxLayout () ;
	btnLayout->addWidget (btnAccept) ; 
	btnLayout->addWidget (btnReject) ; 
	layout->addLayout (btnLayout) ;

	connect (btnAccept, SIGNAL(clicked()),
	         this, SLOT(accept())) ;
	connect (btnReject, SIGNAL(clicked()),
	         this, SLOT(reject())) ;
}

void QNImageDialog::setImage (QImage img) 
{	
	delete label ;
	label = new QLabel () ;
	label->setPixmap(QPixmap::fromImage(img)) ;
	scroller->setWidget (label) ;
	scroller->horizontalScrollBar()->setValue(scroller->horizontalScrollBar()->maximum()/2) ;
	scroller->verticalScrollBar()->setValue(scroller->verticalScrollBar()->maximum()/2) ;
}

